#ifndef FFTPLOT_H
#define FFTPLOT_H

#include <quspectrumplot.h>

#include <qwt_scale_draw.h>
#include <quwatcher.h>
#include <tango.h>
#include <quplotmarkercomponent.h>

class FFTPlotPrivate;

class FFTPlot : public QuSpectrumPlot
{
public:
    FFTPlot(QWidget *parent, CumbiaPool *cu_p, const CuControlsFactoryPool &fp);
    ~FFTPlot();
    void set_num_turns(double t);

    // CuDataListener interface
public:
    void onUpdate(const CuData &data);

private:
    FFTPlotPrivate* d;
};

#endif // FFTPLOT_H
